# Desktop App Installation

{% embed url="<https://github.com/bluebubblesapp/Bluebubbles-app/releases>" %}
Github Releases
{% endembed %}

## Windows Users

### Microsoft Store

{% embed url="<https://www.microsoft.com/store/productId/9P3XF8KJ0LSM>" %}
Microsoft Store Download
{% endembed %}

### Standalone Executable (Windows)

1. Download `bluebubbles_standalone.exe` from GitHub releases (linked above)
2. Run the installer
3. You may receive a warning from Windows Defender about an unrecognized publisher, simply click "More Info", and then "Run anyways" at the bottom.
4. Complete the installation

## Linux Users

### Flatpak

{% embed url="<https://flathub.org/apps/details/app.bluebubbles.BlueBubbles>" %}
BlueBubbles on Flathub
{% endembed %}

### Standalone Executable (Linux)

1. Download `bluebubbles_linux.zip` from GitHub Releases (linked above)
2. Unzip `bluebubbles_linux.zip`
3. Move `libobjectbox.so` from `bundle/lib` in bundle to `/usr/lib`
4. Run the executable `bluebubbles_app` inside `bundle`

Note: You might need to install the following dependencies:

**For notifications** - `libnotify-dev`

**For video playback** - `vlc`, `libvlc-dev`

**For the system tray** - `appindicator3-0.1`, `libappindicator3-dev`

You can use the following command:

```bash
sudo apt-get -y install libnotify-dev vlc libvlc-dev appindicator3-0.1 libappindicator3-dev
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bluebubbles.app/client/desktop-app-installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
